org.apache.solr.update.processor

## Class ParseFloatFieldUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory
    - - org.apache.solr.update.processor.ParseNumericFieldUpdateProcessorFactory
      - - org.apache.solr.update.processor.ParseFloatFieldUpdateProcessorFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin, SolrCoreAware

      public class ParseFloatFieldUpdateProcessorFactory
      extends ParseNumericFieldUpdateProcessorFactory

  Attempts to mutate selected fields that have only CharSequence-typed values into Float values. If required, rounding uses ceiling mode: `RoundingMode.CEILING`. Grouping separators (',' in the ROOT locale) are parsed.

  The default selection behavior is to mutate both those fields that don't match a schema field, as well as those fields that match a schema field with a field type that uses class solr.TrieFloatField.

  If all values are parseable as float (or are already Float), then the field will be mutated, replacing each value with its parsed Float equivalent; otherwise, no mutation will occur.

  The locale to use when parsing field values, which will affect the recognized grouping separator and decimal characters, may optionally be specified. If no locale is configured, then `Locale.ROOT` will be used. The following configuration specifies the Russian/Russia locale, which will parse the string "12 345,899" as 12345.899f (the grouping separator character is U+00AO NO-BREAK SPACE).

       <processor class="solr.ParseFloatFieldUpdateProcessorFactory">
         <str name="locale">ru_RU</str>
       </processor>

  See `Locale` for a description of acceptable language, country (optional) and variant (optional) values, joined with underscore(s).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory

      `FieldMutatingUpdateProcessorFactory.SelectorParams`

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.update.processor.ParseNumericFieldUpdateProcessorFactory

      `locale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseFloatFieldUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
    `protected boolean` | `isSchemaFieldTypeCompatible(FieldType type)` Returns true if the given FieldType is compatible with this parsing factory.

    - ### Methods inherited from class org.apache.solr.update.processor.ParseNumericFieldUpdateProcessorFactory

      `getDefaultSelector, init`

    - ### Methods inherited from class org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory

      `getSelector, inform, parseSelectorExclusionParams, parseSelectorParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseFloatFieldUpdateProcessorFactory

          public ParseFloatFieldUpdateProcessorFactory()

  - ### Method Detail

    - #### getInstance

          public UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                                    SolrQueryResponse rsp,
                                                    UpdateRequestProcessor next)

      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

    - #### isSchemaFieldTypeCompatible

          protected boolean isSchemaFieldTypeCompatible(FieldType type)

      Description copied from class: `ParseNumericFieldUpdateProcessorFactory`
      Returns true if the given FieldType is compatible with this parsing factory.
      Specified by:
        `isSchemaFieldTypeCompatible` in class `ParseNumericFieldUpdateProcessorFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.